/* ------------------------------- DEFS.H ----------------------------------
                     Embedded Device Driver Application.

   ------------------------------------------------------------------------- */

/* Scope definitions. */
#define PRIVATE                 static
#ifndef PUBLIC
#   define PUBLIC               extern
#endif

/* Application and class names. */
#define APP_NAME                "Logger"
#define APP_CLASS               "LoggerClass"
#define APPICON                 1
#define FEEDER_APP_NAME         "Feeder"

#define COLUMN_HEADINGS         " AX    BX    CX    DX    CS:IP       DS:SI"\
                                "       ES:DI       BP    SP"

/* Maximum number of messages we should be able to hold in our queue. */
#define MAX_MESSAGES            0x100

/* Interval at which we read the device. */
#define TIMER_INTERVAL          10000   /* Ten seconds. */

/* Highest device error bit. */
#define HIGHEST_DEVERROR        DEVERROR_NOTOWNER

/* EOF */
